> For the complete documentation index, see [llms.txt](https://docs.vesper.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vesper.finance/vesper-developers/vesper-contracts-api-reference/pool-contracts/poolaccountantstorage.md).

# PoolAccountantStorage

This is an abstract contract. Every pool has one associated PoolAccountant that is an implementation of this contract. The each pool's associated PoolAccoutStorage contract is used to store values used by the Pool Accountant. The current version of the abstract class inherits from its predecessor, going back to PoolAccountantStorageV1.

## PoolAccountantStorageV1

### pool

```solidity
address pool
```

### totalDebtRatio

```solidity
uint256 totalDebtRatio
```

### totalDebt

```solidity
uint256 totalDebt
```

### strategies

```solidity
address[] strategies
```

### withdrawQueue

```solidity
address[] withdrawQueue
```

## PoolAccountantStorageV2

### StrategyConfig

```solidity
struct StrategyConfig {
  bool active;
  uint256 interestFee;
  uint256 debtRate;
  uint256 lastRebalance;
  uint256 totalDebt;
  uint256 totalLoss;
  uint256 totalProfit;
  uint256 debtRatio;
  uint256 externalDepositFee;
}
```

### strategy

```solidity
mapping(address => struct PoolAccountantStorageV2.StrategyConfig) strategy
```

### externalDepositFee

```solidity
uint256 externalDepositFee
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vesper.finance/vesper-developers/vesper-contracts-api-reference/pool-contracts/poolaccountantstorage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
